[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / CMType

# Enumeration: CMType

Component Message Type enum representing different message types that can be sent
between the host and component.

## Remarks

- COMPLETE: Indicates a completed operation with response data
- RESIZE: Request to adjust component size/dimensions
- RESULT: Operation result notification
- READY: Component is initialized and ready
- INVALID: Validation failed with errors
- ERROR: Operation encountered an error
- CANCEL: Operation was cancelled

## Enumeration Members

### CANCEL

> **CANCEL**: `"cancel"`

#### Defined in

[types.ts:795](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L795)

***

### COMPLETE

> **COMPLETE**: `"complete"`

#### Defined in

[types.ts:789](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L789)

***

### ERROR

> **ERROR**: `"error"`

#### Defined in

[types.ts:794](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L794)

***

### INVALID

> **INVALID**: `"invalid"`

#### Defined in

[types.ts:793](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L793)

***

### READY

> **READY**: `"ready"`

#### Defined in

[types.ts:792](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L792)

***

### RESIZE

> **RESIZE**: `"resize"`

#### Defined in

[types.ts:790](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L790)

***

### RESULT

> **RESULT**: `"result"`

#### Defined in

[types.ts:791](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L791)
