[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / ConnectionRecord

# Interface: ConnectionRecord

Interface for recording that user connected their wallet.

## Remarks

- Records which wallet provider was used to connect

The signature proves ownership by demonstrating control of the private keys
associated with the claimed address.

## See

 - [ProofTypes](../enumerations/ProofTypes.md) For supported signature types
 - [OwnershipProof](OwnershipProof.md) For base proof properties

## Extends

- [`OwnershipProof`](OwnershipProof.md)

## Properties

### address

> **address**: \`$\{string\}:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`address`](OwnershipProof.md#address)

#### Defined in

[types.ts:1040](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1040)

***

### attestation

> **attestation**: `string`

#### Defined in

[types.ts:1105](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1105)

***

### did

> **did**: \`did:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`did`](OwnershipProof.md#did)

#### Defined in

[types.ts:1039](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1039)

***

### proof

> **proof**: `string`

#### Defined in

[types.ts:1104](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1104)

***

### status

> **status**: [`ProofStatus`](../enumerations/ProofStatus.md)

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`status`](OwnershipProof.md#status)

#### Defined in

[types.ts:1038](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1038)

***

### type

> **type**: [`Connect`](../enumerations/ProofTypes.md#connect)

#### Overrides

[`OwnershipProof`](OwnershipProof.md).[`type`](OwnershipProof.md#type)

#### Defined in

[types.ts:1103](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1103)

***

### wallet\_provider

> **wallet\_provider**: `string`

#### Defined in

[types.ts:1106](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1106)
