[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / DeclarationProof

# Interface: DeclarationProof

Ownership Proof using Self Declaration

## Extends

- [`OwnershipProof`](OwnershipProof.md)

## Properties

### address

> **address**: \`$\{string\}:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`address`](OwnershipProof.md#address)

#### Defined in

[types.ts:1040](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1040)

***

### attestation

> **attestation**: `string`

#### Defined in

[types.ts:1085](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1085)

***

### confirmed

> **confirmed**: `boolean`

#### Defined in

[types.ts:1086](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1086)

***

### did

> **did**: \`did:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`did`](OwnershipProof.md#did)

#### Defined in

[types.ts:1039](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1039)

***

### status

> **status**: [`ProofStatus`](../enumerations/ProofStatus.md)

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`status`](OwnershipProof.md#status)

#### Defined in

[types.ts:1038](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1038)

***

### type

> **type**: [`SelfDeclaration`](../enumerations/ProofTypes.md#selfdeclaration)

#### Overrides

[`OwnershipProof`](OwnershipProof.md).[`type`](OwnershipProof.md#type)

#### Defined in

[types.ts:1084](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1084)
