[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / MicroTransferProof

# Interface: MicroTransferProof

Ownership Proof using Micro Transfer

## Extends

- [`OwnershipProof`](OwnershipProof.md)

## Properties

### address

> **address**: \`$\{string\}:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`address`](OwnershipProof.md#address)

#### Defined in

[types.ts:1040](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1040)

***

### amountSubunits

> **amountSubunits**: `string`

#### Defined in

[types.ts:1119](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1119)

***

### asset

> **asset**: \`$\{string\}:$\{string\}/$\{string\}:$\{string\}\`

#### Defined in

[types.ts:1117](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1117)

***

### chain

> **chain**: \`$\{string\}:$\{string\}\`

#### Defined in

[types.ts:1116](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1116)

***

### destination

> **destination**: `string`

#### Defined in

[types.ts:1118](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1118)

***

### did

> **did**: \`did:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`did`](OwnershipProof.md#did)

#### Defined in

[types.ts:1039](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1039)

***

### proof

> **proof**: `string`

#### Defined in

[types.ts:1115](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1115)

***

### status

> **status**: [`ProofStatus`](../enumerations/ProofStatus.md)

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`status`](OwnershipProof.md#status)

#### Defined in

[types.ts:1038](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1038)

***

### type

> **type**: [`MicroTransfer`](../enumerations/ProofTypes.md#microtransfer)

#### Overrides

[`OwnershipProof`](OwnershipProof.md).[`type`](OwnershipProof.md#type)

#### Defined in

[types.ts:1114](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/3486f61e2b02a464f16f90ee758186b0548e4e66/src/types.ts#L1114)
